Package org.kapott.hbci.sepa.jaxb.camt_052_001_04

# Class PointOfInteractionComponent1

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_04.PointOfInteractionComponent1

public class PointOfInteractionComponent1 extends Object

Java class for PointOfInteractionComponent1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PointOfInteractionComponent1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="POICmpntTp" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}POIComponentType1Code"/>
             <element name="ManfctrId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}Max35Text" minOccurs="0"/>
             <element name="Mdl" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}Max35Text" minOccurs="0"/>
             <element name="VrsnNb" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}Max16Text" minOccurs="0"/>
             <element name="SrlNb" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}Max35Text" minOccurs="0"/>
             <element name="ApprvlNb" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}Max70Text" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected List<String>`
`apprvlNb`
`protected String`
`manfctrId`
`protected String`
`mdl`
`protected POIComponentType1Code`
`poiCmpntTp`
`protected String`
`srlNb`
`protected String`
`vrsnNb`

## Constructor Summary

Constructors
Constructor
Description
`PointOfInteractionComponent1()`

## Method Summary

Modifier and Type
Method
Description
`List<String>`
`getApprvlNb()`
Gets the value of the apprvlNb property.
`String`
`getManfctrId()`
Gets the value of the manfctrId property.
`String`
`getMdl()`
Gets the value of the mdl property.
`POIComponentType1Code`
`getPOICmpntTp()`
Gets the value of the poiCmpntTp property.
`String`
`getSrlNb()`
Gets the value of the srlNb property.
`String`
`getVrsnNb()`
Gets the value of the vrsnNb property.
`void`
`setManfctrId(String value)`
Sets the value of the manfctrId property.
`void`
`setMdl(String value)`
Sets the value of the mdl property.
`void`
`setPOICmpntTp(POIComponentType1Code value)`
Sets the value of the poiCmpntTp property.
`void`
`setSrlNb(String value)`
Sets the value of the srlNb property.
`void`
`setVrsnNb(String value)`
Sets the value of the vrsnNb property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### poiCmpntTp

protected POIComponentType1Code poiCmpntTp

### manfctrId

protected String manfctrId

### mdl

protected String mdl

### vrsnNb

protected String vrsnNb

### srlNb

protected String srlNb

### apprvlNb

protected List<String> apprvlNb

## Constructor Details

### PointOfInteractionComponent1

public PointOfInteractionComponent1()

## Method Details

### getPOICmpntTp

public POIComponentType1Code getPOICmpntTp()
Gets the value of the poiCmpntTp property.

Returns:
  possible object is `POIComponentType1Code`

### setPOICmpntTp

public void setPOICmpntTp(POIComponentType1Code value)
Sets the value of the poiCmpntTp property.

Parameters:
  `value` - allowed object is `POIComponentType1Code`

### getManfctrId

public String getManfctrId()
Gets the value of the manfctrId property.

Returns:
  possible object is `String`

### setManfctrId

public void setManfctrId(String value)
Sets the value of the manfctrId property.

Parameters:
  `value` - allowed object is `String`

### getMdl

public String getMdl()
Gets the value of the mdl property.

Returns:
  possible object is `String`

### setMdl

public void setMdl(String value)
Sets the value of the mdl property.

Parameters:
  `value` - allowed object is `String`

### getVrsnNb

public String getVrsnNb()
Gets the value of the vrsnNb property.

Returns:
  possible object is `String`

### setVrsnNb

public void setVrsnNb(String value)
Sets the value of the vrsnNb property.

Parameters:
  `value` - allowed object is `String`

### getSrlNb

public String getSrlNb()
Gets the value of the srlNb property.

Returns:
  possible object is `String`

### setSrlNb

public void setSrlNb(String value)
Sets the value of the srlNb property.

Parameters:
  `value` - allowed object is `String`

### getApprvlNb

public List<String> getApprvlNb()
Gets the value of the apprvlNb property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the apprvlNb property.

For example, to add a new item, do as follows:

        getApprvlNb().add(newItem);

Objects of the following type(s) are allowed in the list `String`